Bug 1639352 - When deleting content views, UI indicates wrong number of environments
Summary: When deleting content views, UI indicates wrong number of environments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.3.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Michael Johnson
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-15 14:26 UTC by Karl Abbott
Modified: 2019-10-07 17:20 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:12 UTC


Attachments (Terms of Use)
Shows message with 7 when actually should be 6 (7.35 KB, image/png)
2018-10-15 14:26 UTC, Karl Abbott
no flags Details
Shows message with 2 environments when only 1 (5.91 KB, image/png)
2018-10-15 14:27 UTC, Karl Abbott
no flags Details
Shows message with 4 when actually is 4 (69.96 KB, image/png)
2018-10-18 14:57 UTC, Michael Johnson
no flags Details
Content view with 4 environments (46.18 KB, image/png)
2018-10-18 14:58 UTC, Michael Johnson
no flags Details
Promote shows in 4 environments (58.04 KB, image/png)
2018-10-18 14:58 UTC, Michael Johnson
no flags Details
Deleting from all 4 environments (52.46 KB, image/png)
2018-10-18 14:59 UTC, Michael Johnson
no flags Details
Confirm delete from 4 environments (63.43 KB, image/png)
2018-10-18 14:59 UTC, Michael Johnson
no flags Details
Verified UI (34.82 KB, image/png)
2018-12-12 16:21 UTC, Lai
no flags Details


Links
System ID Priority Status Summary Last Updated
Github Katello katello pull 7787 None None None 2018-10-26 19:44:48 UTC
Foreman Issue Tracker 25321 None None None 2018-10-26 19:34:53 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC

Description Karl Abbott 2018-10-15 14:26:20 UTC
Created attachment 1494056 [details]
Shows message with 7 when actually should be 6

Description of problem:

When I delete a content view version using the UI, it tells me that I'm deleting from 1 more environment than I actually am. Screenshots attached. We are on 6.3.2.

Version-Release number of selected component (if applicable):

6.3.2

How reproducible:

Every time.

Steps to Reproduce:
1. Delete a content view

Actual results:

Message: Deleting from X environments will show 1 more than actual environments the view is being deleted from.

Expected results:

Message: Deleting from X environments will show the proper number of environments the view is being deleted from. 

Additional info:

Comment 1 Karl Abbott 2018-10-15 14:27:12 UTC
Created attachment 1494057 [details]
Shows message with 2 environments when only 1

Comment 3 Michael Johnson 2018-10-18 14:57:10 UTC
Created attachment 1495318 [details]
Shows message with 4 when actually is 4

I took what I think are the correct steps to do this and got what appears to be the correct output. Can you check my other screenshots and verify that I did this the same/correct way?

Comment 4 Michael Johnson 2018-10-18 14:58:21 UTC
Created attachment 1495319 [details]
Content view with 4 environments

Comment 5 Michael Johnson 2018-10-18 14:58:58 UTC
Created attachment 1495320 [details]
Promote shows in 4 environments

Comment 6 Michael Johnson 2018-10-18 14:59:26 UTC
Created attachment 1495321 [details]
Deleting from all 4 environments

Comment 7 Michael Johnson 2018-10-18 14:59:47 UTC
Created attachment 1495323 [details]
Confirm delete from 4 environments

Comment 8 Michael Johnson 2018-10-19 12:01:21 UTC
So I tried to reproduce the error on multiple environments (including one identical to the customers) and in multiple different ways, but I can't reproduce it. Is there a step-by-step process that the customer goes through to produce the error? Can I get any additional details there? Perhaps if they have a look at my screenshots they can tell me what they did differently.

Also, do they have a reproducer?

Comment 9 Karl Abbott 2018-10-19 14:48:34 UTC
Michael,

Actually, what I don't see in your screenshots is the screen where the delete is actually showing the status message. In my 2 screenshots, you'll see it's the status message that has the wrong number of environments (it's off by 1 always) and not any other part of the interface.

Do you have a screenshot showing the delete in progress with the status bar and status message that I could send back their way?

Karl

Comment 10 Michael Johnson 2018-10-26 19:34:51 UTC
Created redmine issue https://projects.theforeman.org/issues/25321 from this bug

Comment 11 pm-sat@redhat.com 2018-10-30 16:01:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25321 has been resolved.

Comment 14 Lai 2018-12-12 16:21:11 UTC
Created attachment 1513712 [details]
Verified UI

Number of environments correctly displays now.

Steps:
1. Create a content view
2. Publish New Version
3. Promote to 3 different environments
4. Delete 3

Actual results:
Delete status shows 3 environments being deleted.  See screenshot for more details

Tested on 6.5.0 Snap 7

Comment 15 Lai 2018-12-12 16:22:16 UTC
Forgot to set status to verified so doing that now.

Comment 17 errata-xmlrpc 2019-05-14 12:38:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.